curl --request POST \
--url https://api.sippet.ai/api/users/magic_link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"token": "<string>",
"remember_me": true
},
"relationships": {},
"type": "User"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"email": "<string>",
"full_name": "<string>",
"sip_username": "<string>"
},
"relationships": {
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
},
"organisations": {
"data": [
{
"id": "<string>",
"type": "<string>",
"meta": {}
}
]
},
"sip_user": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}Sign in or register a user with magic link.
curl --request POST \
--url https://api.sippet.ai/api/users/magic_link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"token": "<string>",
"remember_me": true
},
"relationships": {},
"type": "User"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"email": "<string>",
"full_name": "<string>",
"sip_username": "<string>"
},
"relationships": {
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
},
"organisations": {
"data": [
{
"id": "<string>",
"type": "<string>",
"meta": {}
}
]
},
"sip_user": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}JWT for bearer authentication
Relationship paths to include in the response
^()(,())*$Limits the response fields to only those listed for each type
Show child attributes
{ "User": "id,full_name,email" }
Request body for the magic_link operation on User resource
Show child attributes
Was this page helpful?